configure.ac: Add check for __clog.
authorDavid Edelsohn <dje@watson.ibm.com>
Mon, 26 Sep 2005 19:08:27 +0000 (19:08 +0000)
committerFrançois-Xavier Coudert <fxcoudert@gcc.gnu.org>
Mon, 26 Sep 2005 19:08:27 +0000 (19:08 +0000)
* configure.ac: Add check for __clog.
* configure: Regenerate.

From-SVN: r104654

libgfortran/ChangeLog
libgfortran/configure
libgfortran/configure.ac

index 08d3e861497d4c466a83f9d29ca69d8b51fe1122..70ef38dffd7d572676c838728249f0c43e7ca8ff 100644 (file)
@@ -1,3 +1,8 @@
+2005-09-26  David Edelsohn  <dje@watson.ibm.com>
+
+       * configure.ac: Add check for __clog.
+       * configure: Regenerate.
+
 2005-09-25  Francois-Xavier Coudert  <coudert@clipper.ens.fr>
 
        * c99_protos.h: Add prototypes for C99 complex functions.
index 7def2508e098e5d6063b9aab82db7084c3341104..6ace2fb76b15640f5d408c0414b19565e0c49844 100755 (executable)
@@ -19028,6 +19028,85 @@ _ACEOF
 fi
 
 
+# Hack for AIX
+echo "$as_me:$LINENO: checking for __clog in -lm" >&5
+echo $ECHO_N "checking for __clog in -lm... $ECHO_C" >&6
+if test "${ac_cv_lib_m___clog+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lm  $LIBS"
+if test x$gcc_no_link = xyes; then
+  { { echo "$as_me:$LINENO: error: Link tests are not allowed after GCC_NO_EXECUTABLES." >&5
+echo "$as_me: error: Link tests are not allowed after GCC_NO_EXECUTABLES." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char __clog ();
+int
+main ()
+{
+__clog ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_m___clog=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_m___clog=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_m___clog" >&5
+echo "${ECHO_T}$ac_cv_lib_m___clog" >&6
+if test $ac_cv_lib_m___clog = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_CLOG 1
+_ACEOF
+
+fi
+
+
 # Fallback in case isfinite is not available.
 echo "$as_me:$LINENO: checking for finite in -lm" >&5
 echo $ECHO_N "checking for finite in -lm... $ECHO_C" >&6
index 5c5fe5f983a1fa1e00765186fb710c1441f078f0..ebd17b193b1882a3ceae72ce0ffcc74b12f2816c 100644 (file)
@@ -325,6 +325,9 @@ AC_CHECK_LIB([m],[ynf],[AC_DEFINE([HAVE_YNF],[1],[libm includes ynf])])
 AC_CHECK_LIB([m],[yn],[AC_DEFINE([HAVE_YN],[1],[libm includes yn])])
 AC_CHECK_LIB([m],[ynl],[AC_DEFINE([HAVE_YNL],[1],[libm includes ynl])])
 
+# On AIX, clog is present in libm as __clog
+AC_CHECK_LIB([m],[__clog],[AC_DEFINE([HAVE_CLOG],[1],[libm includes clog])])
+
 # Fallback in case isfinite is not available.
 AC_CHECK_LIB([m],[finite],[AC_DEFINE([HAVE_FINITE],[1],[libm includes finite])])